This document lists the events and parameters for
various types of
Ldap Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=ldap`.

## LDAP Operations


LDAP operations event type.
Events of this type are returned with `type=ldap_operation`.

### Bind failed

Failed LDAP bind.
Event details Event name `bind_failure` Parameters `connection_id` `string`


LDAP request connection id to track.
`ldap_audit_application_id` `string`


LDAP application ID for which LDAP protocol request is mapped.
`ldap_audit_application_name` `string`


LDAP application name for which LDAP protocol request is mapped.
`ldap_audit_message_id` `string`


LDAP message id used to track each request.
`name` `string`


Name of the principle behind an LDAP bind request.
`request_controls` `string`


Comma separated list of all other request parameters received in LDAP protocol request apart from connection id,message id, search query.
`result_code` `string`


Result Code of LDAP request served through LDAP server.
`result_controls` `string`


Comma separated list of all parameters sent in LDAP protocol response apart from connection id,message id, search result.
`version` `string`


Version of the LDAP protocol that's being called in Bind operation.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/ldap?eventName=bind_failure&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `LDAP bind with {CONNECTION_INFO} failed with {FAILURE_REASON}.`

### Bind successful

Successful LDAP bind.
Event details Event name `bind_success` Parameters `connection_id` `string`


LDAP request connection id to track.
`ldap_audit_application_id` `string`


LDAP application ID for which LDAP protocol request is mapped.
`ldap_audit_application_name` `string`


LDAP application name for which LDAP protocol request is mapped.
`ldap_audit_message_id` `string`


LDAP message id used to track each request.
`name` `string`


Name of the principle behind an LDAP bind request.
`request_controls` `string`


Comma separated list of all other request parameters received in LDAP protocol request apart from connection id,message id, search query.
`result_code` `string`


Result Code of LDAP request served through LDAP server.
`result_controls` `string`


Comma separated list of all parameters sent in LDAP protocol response apart from connection id,message id, search result.
`version` `string`


Version of the LDAP protocol that's being called in Bind operation.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/ldap?eventName=bind_success&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `LDAP bind with {CONNECTION_INFO} successful.`

### Search failed

Failed LDAP search.
Event details Event name `search_failed` Parameters `attributes` `string`


LDAP search query extra attributes to add as part of the search query.
`base_object` `string`


Base object(org unit) of the customer space to query for users.
`connection_id` `string`


LDAP request connection id to track.
`deref_aliases` `string`


Indicator to specify whether or not aliases are dereferenced during LDAP search operation.
`filter` `string`


LDAP search query filter.
`is_types_only` `string`


LDAP search request filter to return types only.
`ldap_audit_application_id` `string`


LDAP application ID for which LDAP protocol request is mapped.
`ldap_audit_application_name` `string`


LDAP application name for which LDAP protocol request is mapped.
`ldap_audit_message_id` `string`


LDAP message id used to track each request.
`ldap_audit_scope` `string`


LDAP search query scope within the customer.
`request_controls` `string`


Comma separated list of all other request parameters received in LDAP protocol request apart from connection id,message id, search query.
`result_code` `string`


Result Code of LDAP request served through LDAP server.
`result_controls` `string`


Comma separated list of all parameters sent in LDAP protocol response apart from connection id,message id, search result.
`size_limit` `integer`


LDAP search query response size limit.
`time_limit` `integer`


LDAP search query latency time limit.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/ldap?eventName=search_failed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `LDAP search with {QUERY} failed with {FAILURE_REASON}.`

### Search successful

Successful LDAP search.
Event details Event name `search_success` Parameters `attributes` `string`


LDAP search query extra attributes to add as part of the search query.
`base_object` `string`


Base object(org unit) of the customer space to query for users.
`bind_quota_usage` `integer`


LDAP bind quota usage.
`connection_id` `string`


LDAP request connection id to track.
`deref_aliases` `string`


Indicator to specify whether or not aliases are dereferenced during LDAP search operation.
`dropped_attributes` `string`


List of attributes dropped as part of LDAP search query response.
`filter` `string`


LDAP search query filter.
`is_types_only` `string`


LDAP search request filter to return types only.
`ldap_audit_application_id` `string`


LDAP application ID for which LDAP protocol request is mapped.
`ldap_audit_application_name` `string`


LDAP application name for which LDAP protocol request is mapped.
`ldap_audit_message_id` `string`


LDAP message id used to track each request.
`ldap_audit_scope` `string`


LDAP search query scope within the customer.
`request_controls` `string`


Comma separated list of all other request parameters received in LDAP protocol request apart from connection id,message id, search query.
`result_code` `string`


Result Code of LDAP request served through LDAP server.
`result_controls` `string`


Comma separated list of all parameters sent in LDAP protocol response apart from connection id,message id, search result.
`size_limit` `integer`


LDAP search query response size limit.
`time_limit` `integer`


LDAP search query latency time limit.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/ldap?eventName=search_success&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `LDAP search with {QUERY} successful.`

### Unbind

LDAP unbind request event.
Event details Event name `unbind` Parameters `connection_id` `string`


LDAP request connection id to track.
`ldap_audit_application_id` `string`


LDAP application ID for which LDAP protocol request is mapped.
`ldap_audit_application_name` `string`


LDAP application name for which LDAP protocol request is mapped.
`ldap_audit_message_id` `string`


LDAP message id used to track each request.
`request_controls` `string`


Comma separated list of all other request parameters received in LDAP protocol request apart from connection id,message id, search query.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/ldap?eventName=unbind&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `LDAP client Unbind requested.`